<?php
// Date and Time

// The Weekdays
$weekday[0] = __('sunnuntai');
$weekday[1] = __('maanantai');
$weekday[2] = __('tiistai');
$weekday[3] = __('keskiviikko');
$weekday[4] = __('torstai');
$weekday[5] = __('perjantai');
$weekday[6] = __('lauantai');

// The first letter of each day.  The _%day%_initial suffix is a hack to make
// sure the day initials are unique.  They should be translated to a one
// letter initial.  
$weekday_initial[__('sunnuntai')]    = __('S_Sunday_initial');
$weekday_initial[__('maanantai')]    = __('M_Monday_initial');
$weekday_initial[__('tiistai')]   = __('T_Tuesday_initial');
$weekday_initial[__('keskiviikko')] = __('K_Wednesday_initial');
$weekday_initial[__('torstai')]  = __('T_Thursday_initial');
$weekday_initial[__('perjantai')]    = __('P_Friday_initial');
$weekday_initial[__('lauantai')]  = __('L_Saturday_initial');

foreach ($weekday_initial as $weekday_ => $weekday_initial_) {
  $weekday_initial[$weekday_] = preg_replace('/_.+_initial$/', '', $weekday_initial_);
}

// Abbreviations for each day.
$weekday_abbrev[__('sunnuntai')]    = __('su');
$weekday_abbrev[__('maanantai')]    = __('ma');
$weekday_abbrev[__('tiistai')]   = __('ti');
$weekday_abbrev[__('keskiviikko')] = __('ke');
$weekday_abbrev[__('torstai')]  = __('to');
$weekday_abbrev[__('perjantai')]    = __('pe');
$weekday_abbrev[__('lauantai')]  = __('la');

// The Months
$month['01'] = __('tammikuu');
$month['02'] = __('helmikuu');
$month['03'] = __('maaliskuu');
$month['04'] = __('huhtikuu');
$month['05'] = __('toukokuu');
$month['06'] = __('kesäkuu');
$month['07'] = __('heinäkuu');
$month['08'] = __('elokuu');
$month['09'] = __('syyskuu');
$month['10'] = __('lokakuu');
$month['11'] = __('marraskuu');
$month['12'] = __('joulukuu');

// Abbreviations for each month. Uses the same hack as above to get around the
// 'toukokuu' duplication.
$month_abbrev[__('tammikuu')] = __('tam_tammikuu_abbreviation');
$month_abbrev[__('helmikuu')] = __('hel_helmikuu_abbreviation');
$month_abbrev[__('maaliskuu')] = __('maa_maaliskuu_abbreviation');
$month_abbrev[__('huhtikuu')] = __('huh_huhtikuu_abbreviation');
$month_abbrev[__('toukokuu')] = __('tou_toukokuu_abbreviation');
$month_abbrev[__('kesäkuu')] = __('kes_kesäkuu_abbreviation');
$month_abbrev[__('heinäkuu')] = __('hei_heinäkuu_abbreviation');
$month_abbrev[__('elokuu')] = __('elo_elokuu_abbreviation');
$month_abbrev[__('syyskuu')] = __('syy_syyskuu_abbreviation');
$month_abbrev[__('lokakuu')] = __('lok_lokakuu_abbreviation');
$month_abbrev[__('marraskuu')] = __('mar_marraskuu_abbreviation');
$month_abbrev[__('joulukuu')] = __('jou_joulukuu_abbreviation');

foreach ($month_abbrev as $month_ => $month_abbrev_) {
  $month_abbrev[$month_] = preg_replace('/_.+_abbreviation$/', '', $month_abbrev_);
}

?>